package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "jlr_coupon")
public class JLRCoupon {

    private Integer id;
    private String  vin_code;
    private String  user_name;
    private String  user_phone;
    private String  license;
    private String  remark;
    private String  electronic_accounts;
    private String  e_password;
    private Float   charge;
    private Float   consume_charge;
    private Date    create_time;
    private Date    update_time;

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    @Column(name = "vin_code")
    public String getVin_code() {
        return vin_code;
    }

    public void setVin_code(String vin_code) {
        this.vin_code = vin_code;
    }
    @Column(name = "user_name")
    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }
    @Column(name = "user_phone")
    public String getUser_phone() {
        return user_phone;
    }

    public void setUser_phone(String user_phone) {
        this.user_phone = user_phone;
    }
    @Column(name = "license")
    public String getLicense() {
        return license;
    }

    public void setLicense(String license) {
        this.license = license;
    }
    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    @Column(name = "electronic_accounts")
    public String getElectronic_accounts() {
        return electronic_accounts;
    }

    public void setElectronic_accounts(String electronic_accounts) {
        this.electronic_accounts = electronic_accounts;
    }
    @Column(name = "e_password")
    public String getE_password() {
        return e_password;
    }

    public void setE_password(String e_password) {
        this.e_password = e_password;
    }
    @Column(name = "charge")
    public Float getCharge() {
        return charge;
    }

    public void setCharge(Float charge) {
        this.charge = charge;
    }
    @Column(name = "consume_charge")
    public Float getConsume_charge() {
        return consume_charge;
    }

    public void setConsume_charge(Float consume_charge) {
        this.consume_charge = consume_charge;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }
    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Override
    public String toString() {
        return "JLRCoupon{" +
                "id=" + id +
                ", vin_code='" + vin_code + '\'' +
                ", user_name='" + user_name + '\'' +
                ", user_phone='" + user_phone + '\'' +
                ", license='" + license + '\'' +
                ", remark='" + remark + '\'' +
                ", electronic_accounts='" + electronic_accounts + '\'' +
                ", e_password='" + e_password + '\'' +
                ", charge=" + charge +
                ", consume_charge=" + consume_charge +
                ", create_time=" + create_time +
                ", update_time=" + update_time +
                '}';
    }
}
